## org.apache.lucene.demo
Class IndexFiles

    java.lang.Object
      org.apache.lucene.demo.IndexFiles

    public class IndexFiles

extends Object

Index all text files under a directory.

This is a command-line application demonstrating simple Lucene indexing. Run it with no command-line arguments for usage information.

Method Summary
`static void` `main(String[] args)` Index all text files under a directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)

  Index all text files under a directory.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.